List Projects
curl --request GET \
--url https://partner.peaka.studio/api/v1/projects \
--header 'Authorization: Bearer <token>'import requests
url = "https://partner.peaka.studio/api/v1/projects"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://partner.peaka.studio/api/v1/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "SksnYuxH",
"name": "Anapp23334",
"description": null,
"domain": "anapp2-rfto",
"webhookBaseUrl": "https://anapp2-rfto--test.api.peaka.host",
"createdAt": "2023-08-21T11:09:04.699714310Z"
},
{
"id": "0IQ6f4QB",
"name": "App Deneme",
"description": null,
"domain": "appdeneme-wmdp",
"webhookBaseUrl": "https://appdeneme-wmdp--test.api.peaka.host",
"createdAt": "2023-12-14T12:38:55.025274418Z"
}
]Projects (Deprecated)
List Projects
deprecated
Deprecated. Use the List Projects endpoint under Organization instead.
Retrieves all Projects accessible by the authenticated user.
A Project is a unit of work where queries, data tables, and semantic catalogs are managed. Projects live inside Workspaces.
GET
/
projects
List Projects

Authorizations
Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication
Response
200 - application/json
Successful operation
Project ID
Project name
Descriptive text about the project
Domain of the project
Webhook base URL
The date and time the project was created
The owner of the project
The workspace to which the project belongs